### Function

# Gcr pkcs11_get_modules

since: 3

#### Declaration [src]

    GList*
    gcr_pkcs11_get_modules (
      void
    )

#### Description [src]

List all the PKCS#11 modules that are used by the GCR library. Each module is a `GckModule` object.

An empty list of modules will be returned if `gcr_pkcs11_set_modules()`, or `gcr_pkcs11_initialize()` has not yet run.

When done with the list, free it with gck_list_unref_free().

Available since: 3

#### Return value

Type: A list of `GckModule*`

A newly allocated list of `GckModule` objects.

The caller of the function takes ownership of the data, and is responsible for freeing it.